<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full h-24 flex items-center gap-8 hover:bg-primary-50 cursor-pointer px-2 rounded-sm" (click)="select($event)">
  <div class="size-12 bg-whitesmoke rounded-full flex items-center justify-center">
    <i class="fa-regular fa-bell text-text-300" style="font-size: 1rem"></i>
  </div>
  <div class="flex items-start gap-2">
    <ng-container *ngLet="newNotifications$ | async">
      <div *ngIf="isNewNotification()" class="rounded-full bg-yellow size-2 mt-2"></div>
    </ng-container>
    <div class="flex flex-col gap-1">
      <div class="font-semibold">{{ parsedNotification.type }}</div>
      <div class="text-text-300 w-64">{{ parsedNotification.description }}</div>
    </div>
  </div>
</div>
